Upgrading an ionic application to 3.7.0



Ionic 3.7.0 is released with lots of bug fixes, improvements and angular HTTPClient.

You can find out more info from changelog.

Upgrade Instructions:

Now, to upgrade your existing ionic application to 3.7.0, run the following command.

npm install -g ionic@latest

npm install ionic-angular@3.7.0 --save

npm install @ionic/app-scripts@3.0.0 --save-dev

npm install @angular/core@4.4.3 --save

npm install @angular/common@4.4.3 --save

npm install @angular/compiler@4.4.3 --save

npm install @angular/compiler-cli@4.4.3 --save

npm install @angular/forms@4.4.3 --save

npm install @angular/http@4.4.3 --save

npm install @angular/platform-browser@4.4.3 --save

npm install @angular/platform-browser-dynamic@4.4.3 --save

npm install rxjs@5.4.3 --save

npm install zone.js@0.8.17 --save


Note:if you are using any other angular libraries then you need to upgrade those libraries to 4.4.3.

Then it is preferable to delete node_modules folder and again install all the packages using this command:
npm install

Running Application:

Now, you can run the application using following command in browser:
ionic serve

If you find the following error:
Uncaught ReferenceError: webpack.Jsonp is not defined

Then, Add vendor.js script file  just before main.js script file in index.html file as below:

 <script src="build/polyfills.js"></script>
 <script src="build/vendor.js"></script>
  <script src="build/main.js"></script>


Upgrading an ionic application to 3.7.0 Upgrading an ionic application to 3.7.0 Reviewed by Unknown on September 30, 2017 Rating: 5

No comments:

Powered by Blogger.